### Method

# Json Node dup_string

#### Declaration [src]

    gchar*
    json_node_dup_string (
      JsonNode* node
    )

#### Description [src]

Gets a copy of the string value stored inside a node.

If the node does not hold a string value, `NULL` is returned.

#### Return value

Type: `gchar*`

A copy of the string inside the node.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.